typedef void (*FUNC)(void);
extern FUNC _CTOR_LIST_START[];
extern FUNC _CTOR_LIST_END[];

void __ctordtorInit (void)
{
  static int done;

  if (!done)
    {
      int i;
      done = 1;

      for (i = 0; i < _CTOR_LIST_END - _CTOR_LIST_START; i++)
	_CTOR_LIST_START[i]();
    }
}
